%global major_version  1.26
%global minor_version  0

Name:           glom
Version:        %{major_version}.%{minor_version}
Release:        5%{?dist}
Summary:        Easy-to-use database designer and user interface

License:        GPLv2+
URL:            http://www.glom.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/glom/%{major_version}/%{name}-%{major_version}.%{minor_version}.tar.xz

BuildRequires:  desktop-file-utils gettext-devel intltool
BuildRequires:  libgdamm-devel >= 4.99.6
BuildRequires:  libxml++-devel >= 2.23.1
BuildRequires:  python-devel
BuildRequires:  gtkmm30-devel >= 3.4.0
BuildRequires:  libxslt-devel >= 1.1.10
BuildRequires:  pygobject3-devel >= 2.29.0
BuildRequires:  iso-codes-devel
BuildRequires:  itstool
BuildRequires:  gtksourceviewmm3-devel >= 3.0.0
BuildRequires:  libarchive-devel
BuildRequires:  libgda-devel >= 5.0.3
BuildRequires:  postgresql-server
BuildRequires:  libgda-postgres >= 5.0.3
BuildRequires:  avahi-ui-devel
BuildRequires:  goocanvasmm2-devel >= 1.90.8
BuildRequires:  evince-devel
BuildRequires:  libepc-devel >= 0.4.0
BuildRequires:  boost-devel
BuildRequires:  python-sphinx

# Glom curently only supports postgresql well and uses it by default.
Requires:       postgresql-server
# Both gda providers are dlopened by libgda. sqlite is used internally
# by glom.
Requires:       libgda-postgres
Requires:       libgda-sqlite

Requires(post):   shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils

%description
Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the PostgreSQL database backend.

%package libs
Summary:  Libraries for %{name}


%description libs
The %{name}-libs package contains shared libraries for %{name}.


%package devel
Summary:    Headers for developing programs that will use %{name}
Requires:   %{name}-libs%{?_isa} = %{version}-%{release}


%description devel
This package contains the header files needed to develop applications
that use the %{name} libraries.


%prep
%setup -q


%build
%configure \
        --disable-dependency-tracking \
        --disable-static \
        --disable-update-mime-database \
        --with-postgres-utils=/usr/bin \
        --disable-sqlite \
        --docdir=%{_datadir}/%{name}
# removing rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
%make_install
%find_lang %{name} --with-gnome
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%check
desktop-file-validate ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database %{_datadir}/applications &>/dev/null || :
update-mime-database %{_datadir}/mime &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database %{_datadir}/applications &>/dev/null || :
update-mime-database %{_datadir}/mime &>/dev/null || :


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}_create_from_example
%{_bindir}/%{name}_export_po
%{_bindir}/%{name}_export_po_all
%{_bindir}/%{name}_import_po_all
%{_bindir}/%{name}_test_connection
%{python_sitearch}/%{name}_1_26.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml

%files libs
%{_libdir}/lib%{name}-%{major_version}.so.*


%files devel
%{_includedir}/glom-%{major_version}
%{_libdir}/lib%{name}-%{major_version}.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/devhelp/books/lib%{name}-%{major_version}/lib%{name}-%{major_version}.devhelp2
%{_datadir}/doc/lib%{name}-%{major_version}/reference/*
%{_datadir}/doc/py%{name}_1_26/reference/*

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 1.26.0-3
- Rebuild for boost 1.55.0

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 1.26.0-2
- rebuild for boost 1.55.0

* Sat May 17 2014 Kalev Lember <kalevlember@gmail.com> - 1.26.0-1
- Update to 1.26.0
- Drop obsolete scrollkeeper handling
- Modernize rpm scriptlets

* Mon Nov  4 2013 Haïkel Guémar <hguemar@fedoraproject.org> - 1.24.2-1
- upstream 1.24.2

* Sun Nov  3 2013 Haïkel Guémar <hguemar@fedoraproject.org> - 1.24.1-1
- upstream 1.24.1 (fixes RHBZ #1022294)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 1.22.1-5
- Rebuild for boost 1.54.0

* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 1.22.1-4
- Rebuilt for gtksourceview3 soname bump

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.22.1-3
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 1.22.1-2
- Rebuild for Boost-1.53.0

* Wed Nov 14 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 1.22.%{minor_version}-1
- upstream 1.22.1

* Sun Oct 21 2012 Haïkel Guémar <hguemar@fedoraproject.org> - 1.22.0-1
- upstream 1.22.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.6-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 27 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 1.18.6-1
- upstream 1.18.6

* Tue Oct 11 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 1.18.4-1
- upstream 1.18.4

* Sun Aug 28 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 1.18.3-2
- recompile against newer libepc

* Sat Jul 23 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 1.18.3-1
- upstream 1.8.3

* Mon Apr 18 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 1.18.1-1
- upstream 1.18.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 26 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 1.16.1-1
- Update to upsteam release 1.16.1
- Drop unneeded BR: gnome-vfsmm

* Fri Jul 30 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 1.15.1-1
- Update to upsteam release 1.15.1

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Apr 28 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 1.14.1-1
- Update to upstream release 1.14.1
- Added libglom and pyglom documentation
- Add BR python-sphinx (python documentation)

* Thu Feb 18 2010 Denis Leroy <denis@poolshark.org> - 1.13.4-1
- Update to unstable release 1.13.4
- Added boost-devel BR

* Tue Jan  5 2010 Denis Leroy <denis@poolshark.org> - 1.12.4-1
- Update to upstream 1.12.4

* Wed Nov  4 2009 Denis Leroy <denis@poolshark.org> - 1.12.3-1
- Update to upstream 1.12.3, regression fix from 1.12.2

* Sun Oct 25 2009 Denis Leroy <denis@poolshark.org> - 1.12.2-1
- Update to upstream 1.12.2
- Fixed gnome-python2-gda run-time Require (#530656)

* Sat Sep 26 2009 Denis Leroy <denis@poolshark.org> - 1.12.0-1
- Update to upstream 1.12.0
- BRs update, library versioning update

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 25 2009 Denis Leroy <denis@poolshark.org> - 1.10.1-1
- Update to stable upstream 1.10.1, bugfix release

* Sat Apr  4 2009 Denis Leroy <denis@poolshark.org> - 1.10.0-3
- Requires libgda-sqlite 

* Wed Mar 25 2009 Denis Leroy <denis@poolshark.org> - 1.10.0-2
- Fixed libs rpmlint complaints

* Mon Mar 23 2009  <denis@poolshark.org> - 1.10.0-1
- Update to 1.10.0
- Disable sqlite backend, has very limited functionality
- Split libs and devel packages

* Wed Mar  4 2009 Denis Leroy <denis@poolshark.org> - 1.9.3-1
- Update to upstream 1.9.3
- Now provides sqlite backend

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Denis Leroy <denis@poolshark.org> - 1.9.0-1
- Update to upstream 1.9.0
- Updated list of BRs

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.6.17-3
- Fix locations for Python 2.6

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.6.17-2
- Rebuild for Python 2.6

* Tue Jun 17 2008 Denis Leroy <denis@poolshark.org> - 1.6.17-1
- Update to 1.6.17
- gcc 4.3 patch upstreamed

* Tue May  6 2008 Denis Leroy <denis@poolshark.org> - 1.6.15-1
- Update to upstream 1.6.15, fixes connection issue

* Sun Mar 23 2008 Denis Leroy <denis@poolshark.org> - 1.6.10-1
- Update to upstream 1.6.10, buxfix release

* Mon Feb 11 2008 Denis Leroy <denis@poolshark.org> - 1.6.8-1
- Update to 1.6.8, bugfix release
- Added patch for g++ 4.3

* Tue Jan 29 2008 Denis Leroy <denis@poolshark.org> - 1.6.7-1
- Update to upstream 1.6.7, bugfix release, BR versions updated

* Wed Jan 23 2008 Denis Leroy <denis@poolshark.org> - 1.6.6-1
- Update to upstream 1.6.6, with fix for database closing bug

* Mon Nov 19 2007 Denis Leroy <denis@poolshark.org> - 1.6.4-1
- Update to upstream 1.6.4, many bug fixes

* Wed Sep 12 2007 Denis Leroy <denis@poolshark.org> - 1.6.0-1
- Update to 1.6.0, updated BRs

* Thu Aug 23 2007 Denis Leroy <denis@poolshark.org> - 1.5.2-2
- License tag update

* Tue Jun 19 2007 Denis Leroy <denis@poolshark.org> - 1.5.2-1
- Update to 1.5.2
- Now using libgda 3.0

* Thu Apr  5 2007 Denis Leroy <denis@poolshark.org> - 1.4.3-1
- Update to 1.4.3

* Thu Mar 22 2007 Denis Leroy <denis@poolshark.org> - 1.4.2-1
- Update to 1.4.2
- Removed avahi dependency

* Thu Mar 15 2007 Denis Leroy <denis@poolshark.org> - 1.4.0-1
- Update to 1.4.0

* Fri Mar  9 2007 Denis Leroy <denis@poolshark.org> - 1.3.11-1
- Update to 1.3.11
- Updated dependencies, added postgres deps

* Mon Dec 11 2006 Denis Leroy <denis@poolshark.org> - 1.2.2-3
- Fixed python2.5 path
- Added patch to fix python 2.5 compile

* Fri Dec  8 2006 Denis Leroy <denis@poolshark.org> - 1.2.2-2
- Fixed source upload

* Fri Dec  8 2006 Denis Leroy <denis@poolshark.org> - 1.2.2-1
- Update to 1.2.2

* Tue Nov 21 2006 Denis Leroy <denis@poolshark.org> - 1.2.1-2
- Update to 1.2.1

* Thu Oct 19 2006 Denis Leroy <denis@poolshark.org> - 1.2.0-2
- Rebuild with correct sources files

* Wed Oct 18 2006 Denis Leroy <denis@poolshark.org> - 1.2.0-1
- Update to 1.2.0
- Added omf directory

* Sun Oct  8 2006 Denis Leroy <denis@poolshark.org> - 1.0.7-1
- Update to 1.0.7

* Fri Oct  6 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-4
- fixed x86_64 spec, vfsmm patch no longer needed

* Thu Oct  5 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-3
- Added scrollkeeper db updates
- Added mime-type key to desktop file
- Added autoreconf and patch to fix rpath problem

* Wed Oct  4 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-2
- Fixed BRs
- Enabled scrollkeeper

* Tue Oct  3 2006 Denis Leroy <denis@poolshark.org> - 1.0.5-1
- Update to 1.0.5

* Thu Aug  3 2006 Denis Leroy <denis@poolshark.org> - 1.0.4-1
- First version

